using FluentValidation;
using GreenTree.Nachtragsmanagement.Web.Models.Appendix;
using GreenTree.Nachtragsmanagement.Web.Models.Deviation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace GreenTree.Nachtragsmanagement.Web.Validation.Appendix
{
    public class InvoiceDataModelValidator : AbstractValidator<InvoiceDataModel>
    {
        public InvoiceDataModelValidator()
        {
            RuleFor(m => m.CustomNumber)
                .NotEmpty()
                    .WithMessage("Rechnungsnummer wird benötigt");

            RuleFor(m => m.DateTime)
                .NotEmpty()
                    .WithMessage("Rechnungsdatum wird benötigt");

            RuleFor(m => m.Value)
                .NotEmpty()
                    .WithMessage("Rechnungswert wird benötigt");
        }
    }
}